ZZIP_DIRHANDLE(3)

NAME
zzip_dirhandle, zzip_dirfd - ...

SYNOPSIS

#include <zzip/lib.h>

ZZIP_DIR * zzip_dirhandle((ZZIP_FILE * fp));

int zzip_dirfd((ZZIP_DIR * dir));

DESCRIPTION

The zzip_dirfd function will just return dir->fd

If a ZZIP_DIR does point to a zipfile then the file-descriptor of that zipfile is returned, otherwise a NULL is returned and the ZZIP_DIR wraps a real directory DIR (if you have dirent on your system).

AUTHOR

    • Guido Draheim <guidod@gmx.de>

COPYRIGHT

Copyright (c) 2000,2001,2002,2003 Guido Draheim All rights reserved, use under the restrictions of the Lesser GNU General Public License or alternatively the restrictions of the Mozilla Public License 1.1